## mx-tools 18.11

=== debian/changelog ===
mx-tools (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 15:00:15 -0500

mx-tools (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:27:05 -0400

mx-tools (18.8) mx; urgency=medium

  * fix icon for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:10:52 -0400

mx-tools (18.7+1) mx; urgency=medium

  * exclude items that are not supposed to be displayed either in Live or Installed environment

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Jul 2018 23:50:29 -0400

mx-tools (18.7) mx; urgency=medium

  * minor fix

 -- Adrian <adrian@mxlinux.org>  Sat, 28 Jul 2018 01:22:51 -0400

mx-tools (18.6.1) mx; urgency=medium

  * added changelog button

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Jun 2018 17:12:00 -0400

mx-tools (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 17:53:58 -0400

mx-tools (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 12:02:14 -0500

mx-tools (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 02:28:18 -0500

mx-tools (18.01) mx; urgency=medium

  * no window resize when searching

 -- Adrian <adrian@mxlinux.org>  Mon, 29 Jan 2018 18:03:00 -0500

mx-tools (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 15:14:42 -0500

mx-tools (17.11) mx; urgency=medium

  * open mx-manual if present

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Nov 2017 08:43:32 -0500

mx-tools (17.10+3) mx; urgency=medium

  * remove mx-flash and mx-findshares recommends

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Oct 2017 14:03:47 -0400

mx-tools (17.10+2) mx; urgency=medium

  * larger icons

 -- Adrian <adrian@mxlinux.org>  Sat, 14 Oct 2017 15:10:28 -0400

mx-tools (17.10+1) mx; urgency=medium

  * changed icon

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Oct 2017 23:53:18 -0400

mx-tools (17.10) mx; urgency=medium

  * don't display empty categories

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Oct 2017 17:00:28 -0400

mx-tools (17.9) mx; urgency=medium

  * new icon
  * save location and size of app at exit

 -- Adrian <adrian@mxlinux.org>  Sat, 30 Sep 2017 12:26:15 -0400

mx-tools (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 16:39:03 -0400

mx-tools (17.5mx16) mx; urgency=medium

  * update icons

 -- Adrian <adrian@mxlinux.org>  Wed, 10 May 2017 15:55:58 -0400

mx-tools (17.4mx16+1) mx; urgency=medium

  * fix displaying names in different languages

 -- Adrian <adrian@mxlinux.org>  Mon, 17 Apr 2017 11:11:49 -0400

mx-tools (17.4mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Apr 2017 19:55:04 -0400

mx-tools (17.3mx16) mx; urgency=medium

  * hide Xfce-only items when not running in Xfce

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Mar 2017 15:45:45 -0400

mx-tools (16.11mx16+4) mx; urgency=medium

  * new translations 

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 12:55:42 -0500

mx-tools (16.11mx16+3) mx; urgency=medium

  * modified window width calculation

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 16 Nov 2016 13:49:42 -0500

mx-tools (16.11mx16+2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 13:49:42 -0500

mx-tools (16.11mx16+1) mx; urgency=medium

  * remove live-kernel-update when not running in a live environment

 -- Adrian <adrian@mxlinux.org>  Sun, 06 Nov 2016 18:10:20 -0500

mx-tools (16.11mx16) mx; urgency=medium

  * adjust windows width

 -- Adrian <adrian@mxlinux.org>  Tue, 01 Nov 2016 09:51:52 -0400

mx-tools (16.10mx16+5) mx; urgency=medium

  * bug fix

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Oct 2016 10:51:31 -0400

mx-tools (16.10mx16+4) mx; urgency=medium

  * don't show mx-remaster unless running live

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2016 12:30:17 -0400

mx-tools (16.10mx16+3) mx; urgency=medium

  * look follows the desktop theme

 -- Adrian <adrian@mxlinux.org>  Tue, 25 Oct 2016 10:50:35 -0400

mx-tools (16.10mx16+2) mx; urgency=medium

  * removed depend on mx-docs per anti's request

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 16 Oct 2016 12:30:17 -0400

mx-tools (16.10mx16+1) mx; urgency=medium

  * added parsing of Terminal= line for cli apps

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 15 Oct 2016 19:30:17 -0400

mx-tools (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Oct 2016 14:30:17 -0400

mx-tools (16.8mx15) mx; urgency=medium

  * removed postinstall command

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Aug 2016 12:52:13 -0400

mx-tools (16.6mx15+2) mx; urgency=medium

  * added search

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Jun 2016 11:03:38 -0400

mx-tools (16.6mx15+1) mx; urgency=medium

  * minor visual change

 -- Adrian <adrian@mxlinux.org>  Wed, 08 Jun 2016 10:19:59 -0400

mx-tools (16.6mx15) mx; urgency=medium

  * code re-write to add buttons for MX tools automatically

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Jun 2016 15:28:20 -0400

mx-tools (16.5mx15+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 06 May 2016 10:15:02 -0400

mx-tools (16.5mx15) mx; urgency=medium

  * minor changes: renamed button, adjusted hide tools in the menu

 -- Adrian <adrian@mxlinux.org>  Tue, 03 May 2016 08:45:46 -0400

mx-tools (16.2mx15+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Feb 2016 09:43:38 -0500

mx-tools (16.2mx15) mx; urgency=medium

  * replaced Switch User with Repo Manager

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Feb 2016 10:39:38 -0500

mx-tools (15.12.1mx15) mx; urgency=medium

  * hide GUI when displaying help/license

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Dec 2015 18:38:12 -0500

mx-tools (15.12mx15) mx; urgency=medium


