## mx-tools 19.1

=== debian/changelog ===
mx-tools (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 16:45:10 -0500
