## mx-tools 19.4

=== debian/changelog ===
mx-tools (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:59:15 -0400
