=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9)        
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-tools

Package: mx-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, libqt5svg5, gzip
Recommends: apt-notifier, checkaptgpg, mx-bootrepair, mx-codecs, mx-packageinstaller, mx-user, mx-remastercc, mx-select-sound, mx-panel-orientation, mx-repo-manager, menu
Description: MX Tools Launcher
 MX Tools is a simple launcher used for starting various MX configuration tools.
