## mx-tools 19.7

=== debian/changelog ===
mx-tools (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 14:21:36 -0400
