=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-tools

Package: mx-tools
Architecture: any
Depends: gzip, libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Recommends: apt-notifier,
            checkaptgpg,
            menu,
            mx-bootrepair,
            mx-codecs,
            mx-packageinstaller,
            mx-panel-orientation,
            mx-remastercc,
            mx-repo-manager,
            mx-select-sound,
            mx-user
Description: MX Tools Launcher
 MX Tools is a simple launcher used for starting various MX configuration tools.
