## mx-tools 19.8

=== debian/changelog ===
mx-tools (19.8) mx; urgency=medium

  * fix location settings

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Aug 2019 16:07:35 -0400
