## mx-tools 19.8.2

=== debian/changelog ===
mx-tools (19.8.2) mx; urgency=medium

  * modify mx-tools to not require root password

 -- Adrian <adrian@mxlinux.org>  Mon, 26 Aug 2019 19:55:29 -0400
