## mx-tools 19.9

=== debian/changelog ===
mx-tools (19.9) mx; urgency=medium

  * Escape ampersands so they appear correctly.

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 23:24:49 -0400
