=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-tools
 
 Package: mx-tools
 Architecture: any
-Depends: gzip, libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
 Recommends: apt-notifier,
             checkaptgpg,
             menu,
