## mx-tools 19.9.01

=== debian/changelog ===
mx-tools (19.9.01) mx; urgency=medium

  * improve hide function 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 14 Sep 2019 20:44:44 -0400
