## mx-tools 19.9.02

=== debian/changelog ===
mx-tools (19.9.02) mx; urgency=medium

  * udpated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 21:09:27 -0400
