## mx-tools 20.11

=== debian/changelog ===
mx-tools (20.11) mx; urgency=medium

  * faster launch

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Nov 2020 18:48:55 -0500
