## mx-tools 20.12

=== debian/changelog ===
mx-tools (20.12) mx; urgency=medium

  * added larger size icon

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Dec 2020 18:10:03 -0500
