## mx-tools 21.7

=== debian/changelog ===
mx-tools (21.7) mx; urgency=medium

  * Faster and more complete icon search
  * Put .conf file in ~/.config/MX-Linux folder

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Jul 2021 15:51:26 -0400
