## mx-tools 21.8.01

=== debian/changelog ===
mx-tools (21.8.01) mx; urgency=medium

  * Rearrange buttons when window is resized

 -- Adrian <adrian@mxlinux.org>  Mon, 02 Aug 2021 10:43:39 -0400
