## mx-tools 21.8.02

=== debian/changelog ===
mx-tools (21.8.02) mx; urgency=medium

  * Smoother resize; don't readd the buttons if no need to expand
  * Allow setting icon size in mx-tools.conf, e.g., icon_size=40
  * Add vertical stretch (it looks bad without stretch when searching). 

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Aug 2021 21:23:03 -0400
