## mx-tools 21.11

=== debian/changelog ===
mx-tools (21.11) mx; urgency=medium

  * Fix localization of displayed tool names and comments

 -- fehlix <fehlix@mxlinux.org>  Tue, 02 Nov 2021 17:43:19 -0400
