## mx-tools 22.10

=== debian/changelog ===
mx-tools (22.10) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:08:01 -0400

mx-tools (22.8) mx; urgency=medium

  * Remove mx-viewer dependency

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Aug 2022 01:13:40 -0400
