## mx-tools 22.10.01

=== debian/changelog ===
mx-tools (22.10.01) mx; urgency=medium

  * fix string source files 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2022 15:49:53 -0400
