## mx-tools 23.1.01

=== debian/changelog ===
mx-tools (23.1.01) mx; urgency=medium

  * Add horizontal scrollbar if needed 

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Jan 2023 11:28:27 -0500
