## mx-tools 23.1.02

=== debian/changelog ===
mx-tools (23.1.02) mx; urgency=medium

  * new method to set colum size

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 23 Jan 2023 22:29:42 -0500
