## mx-tools 23.5

=== debian/changelog ===
mx-tools (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Thu, 18 May 2023 00:11:34 -0400
