## mx-tools 23.7.01

=== debian/changelog ===
mx-tools (23.7.01) mx; urgency=medium

  * Fix a couple of translations

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Jul 2023 15:11:53 -0400
