## mx-tools 24.3

=== debian/changelog ===
mx-tools (24.3) mx; urgency=medium

  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 13:16:30 -0400
