## mx-tools 24.12.01

=== debian/changelog ===
mx-tools (24.12.01) mx; urgency=medium

  * Fix doubled command within QProcess::execute call -- fixes deb-installer
    launch.
 
 -- fehlix <fehlix@mxlinux.org>  Sun, 15 Dec 2024 08:53:07 -0400
