=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 Package: mx-tools
 Architecture: any
-Depends: libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5svg5,
+        mx-viewer | xdg-utils,
+        ${misc:Depends},
+        ${shlibs:Depends}
 Recommends: apt-notifier,
             checkaptgpg,
             menu,
