## mx-tools 25.4

=== debian/changelog ===
mx-tools (25.4) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 20:01:05 -0400
