=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake6 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	-find src/translations -name '*.qm' -delete || true

override_dh_auto_configure:
	qmake6

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translations/*.ts
	@# Backup version.h if it exists
	[ -f version.h ] && mv version.h version.h~ || true
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

execute_after_dh_builddeb:
	[ -f version.h~ ] && mv version.h~ version.h || true

%:
	dh $@ --no-automatic-dbgsym --parallel
