## mx-tools 26.01

=== debian/changelog ===
mx-tools (26.01) mx; urgency=medium

  * Improve layout detection
  * Faster redraw on resize
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Jan 2026 01:08:26 -0500
