=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-tools
Homepage: https://github.com/MX-Linux/mx-tools

Package: mx-tools
Architecture: any
Depends: mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apt-notifier,
            checkaptgpg,
            menu,
            mx-bootrepair,
            mx-codecs,
            mx-packageinstaller,
            mx-panel-orientation,
            mx-remastercc,
            mx-repo-manager,
            mx-select-sound,
            mx-user,
            mx-launcher-l10n
Description: MX Tools Launcher for MX Linux
 MX Tools is a graphical utility that provides a centralized launcher for
 accessing various MX Linux configuration and system management tools.
 It offers a user-friendly interface for:
  * System maintenance and repair
  * Software installation and management
  * Hardware configuration
  * System customization
